Displaying 16 results from an estimated 16 matches for "sock2".
Did you mean:
sock
2002 Feb 12
1
socket.c: HAVE_SOCKADDR_LEN misspelt as HAVE_SOCK_SIN_LEN
...===============
RCS file: /cvsroot/rsync/socket.c,v
retrieving revision 1.73
diff -u -r1.73 socket.c
--- socket.c 25 Jan 2002 02:13:05 -0000 1.73
+++ socket.c 11 Feb 2002 20:04:33 -0000
@@ -590,7 +590,7 @@
if ((listener = socket(PF_INET, SOCK_STREAM, 0)) == -1) goto failed;
memset(&sock2, 0, sizeof(sock2));
-#ifdef HAVE_SOCK_SIN_LEN
+#ifdef HAVE_SOCKADDR_LEN
sock2.sin_len = sizeof(sock2);
#endif
sock2.sin_family = PF_INET;
--
Jos Backus _/ _/_/_/ Santa Clara, CA
_/ _/ _/
_/ _/_/_/...
2003 May 17
1
Tru64 Unix patch for rsync 2.5.6.
Version 2.5.6 of rsync fail to compile on Tru64 Unix v5.1 with this
error message:
cc-wrapper -I. -I. -g -DHAVE_CONFIG_H -c socket.c -o socket.o
cc: Error: socket.c, line 619: In this statement, "sin_len" is not a
member of "sock2". (needmember)
sock2.sin_len = sizeof(sock2);
--------^
make: *** [socket.o] Error 1
error: compile failed.
The problem seem to be that configure defines HAVE_SOCKADDR_LEN if
struct sockaddr.sa_len exists, while the code uses member sin_len
instead of sa_len. Trying to rename...
2020 Mar 26
2
[nbdkit PATCH] tests: Swap nbdkit process order in test-nbd-tls-psk.sh
...1,6 @@
#!/usr/bin/env bash
# nbdkit
-# Copyright (C) 2019 Red Hat Inc.
+# Copyright (C) 2019-2020 Red Hat Inc.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
@@ -64,14 +64,14 @@ files="$sock1 $sock2 $pid1 $pid2 nbd-tls-psk.out"
rm -f $files
cleanup_fn rm -f $files
+# Run nbd plugin as intermediary; also test our retry code
+start_nbdkit -P "$pid2" -U "$sock2" --tls=off nbd retry=5 \
+ tls=require tls-psk=keys.psk tls-username=qemu socket="$sock1"
+
# R...
2004 Feb 25
3
[patch] Correct configure test for sin_len to compile on Tru64 Unix
...[ AC_DEFINE(HAVE_SOCKADDR_LEN) ],
[],
[
Without this fix, the compile fail with this error message:
cc-wrapper -I. -I. -g -DHAVE_CONFIG_H -c socket.c -o socket.o
cc: Error: socket.c, line 619: In this statement, "sin_len" is not
a member of "sock2". (needmember)
sock2.sin_len = sizeof(sock2);
--------^
make: *** [socket.o] Error 1
2019 Jul 30
1
[nbdkit PATCH v2] tests: Accommodate qemu-img 4.1 output change
...39;"virtual-size": *104857600\b' ipv6.out
fi
diff --git a/tests/test-nbd-tls-psk.sh b/tests/test-nbd-tls-psk.sh
index d0bbc468..82822d11 100755
--- a/tests/test-nbd-tls-psk.sh
+++ b/tests/test-nbd-tls-psk.sh
@@ -73,9 +73,9 @@ LIBNBD_DEBUG=1 start_nbdkit -P "$pid2" -U "$sock2" --tls=off \
nbd tls=require tls-psk=keys.psk tls-username=qemu socket="$sock1"
# Run unencrypted client
-LANG=C qemu-img info -f raw "nbd+unix:///?socket=$sock2" > nbd-tls-psk.out
+qemu-img info --output=json -f raw "nbd+unix:///?socket=$sock2" > nbd...
2020 Aug 28
0
[nbdkit PATCH 3/3] nbd: Implement .list_exports
...ugin sh
+requires nbdinfo --version
+
+# Does the nbd plugin support dynamic lists?
+if ! nbdkit --dump-plugin nbd | grep -sq libnbd_dynamic_list=1; then
+ echo "$0: nbd plugin built without dynamic export list support"
+ exit 77
+fi
+
+base=test-nbd-dynamic-list
+sock1=`mktemp -u`
+sock2=`mktemp -u`
+pid1="$base.pid1"
+pid2="$base.pid2"
+files="$sock1 $sock2 $pid1 $pid2 $base.list $base.out1 $base.out2"
+rm -f $files
+cleanup_fn rm -f $files
+
+fail=0
+
+# Start a long-running server with .list_exports and .default_export
+# set to varying contents
+st...
2020 Mar 26
0
Re: [nbdkit PATCH] tests: Swap nbdkit process order in test-nbd-tls-psk.sh
...nbdkit
> -# Copyright (C) 2019 Red Hat Inc.
> +# Copyright (C) 2019-2020 Red Hat Inc.
> #
> # Redistribution and use in source and binary forms, with or without
> # modification, are permitted provided that the following conditions are
> @@ -64,14 +64,14 @@ files="$sock1 $sock2 $pid1 $pid2 nbd-tls-psk.out"
> rm -f $files
> cleanup_fn rm -f $files
>
> +# Run nbd plugin as intermediary; also test our retry code
> +start_nbdkit -P "$pid2" -U "$sock2" --tls=off nbd retry=5 \
> + tls=require tls-psk=keys.psk tls-username=qemu so...
2020 Aug 28
4
[nbdkit PATCH 0/3] .list_exports in nbd plugin
Another series on top of my exportname filter, marking off another
todo bullet point. With this, you can now use the NBD plugin as a
transparent passthrough of all export names served by the remote
server in both directions (list advertisement server to client, and
export name from client to server).
Eric Blake (3):
nbd: Implement .default_export, .export_description
nbd: Add
2019 May 10
1
[nbdkit PATCH] nozero: Add notrim mode
...-nozero.sh
index 1282586..fc22420 100755
--- a/tests/test-nozero.sh
+++ b/tests/test-nozero.sh
@@ -39,12 +39,14 @@ sock3=`mktemp -u`
sock4=`mktemp -u`
sock5a=`mktemp -u`
sock5b=`mktemp -u`
+sock6=`mktemp -u`
files="nozero1.img nozero1.log $sock1 nozero1.pid
nozero2.img nozero2.log $sock2 nozero2.pid
nozero3.img nozero3.log $sock3 nozero3.pid
nozero4.img nozero4.log $sock4 nozero4.pid
nozero5.img nozero5a.log nozero5b.log $sock5a $sock5b
- nozero5a.pid nozero5b.pid"
+ nozero5a.pid nozero5b.pid
+ nozero6.img nozero6.log $sock6 nozero6.pi...
2019 Jul 30
1
[nbdkit PATCH] tests: Accommodate qemu-img 4.1 output change
...ut
+ grep -sq "^virtual size: 100 *M" ipv6.out
fi
diff --git a/tests/test-nbd-tls-psk.sh b/tests/test-nbd-tls-psk.sh
index d0bbc468..e07d553b 100755
--- a/tests/test-nbd-tls-psk.sh
+++ b/tests/test-nbd-tls-psk.sh
@@ -78,4 +78,4 @@ LANG=C qemu-img info -f raw "nbd+unix:///?socket=$sock2" > nbd-tls-psk.out
cat nbd-tls-psk.out
grep -sq "^file format: raw" nbd-tls-psk.out
-grep -sq "^virtual size: 100M" nbd-tls-psk.out
+grep -sq "^virtual size: 100 *M" nbd-tls-psk.out
diff --git a/tests/test-nbd-tls.sh b/tests/test-nbd-tls.sh
index af824d23..1...
2020 Apr 14
0
[nbdkit PATCH v2 3/3] server: More tests of stdin/out handling
...OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+
+source ./functions.sh
+set -xe
+
+requires nbdsh -c 'exit (not h.supports_uri ())'
+
+plugin=.libs/test-stdio-plugin.so
+requires test -f $plugin
+
+sock1=`mktemp -u`
+sock2=`mktemp -u`
+files="test-stdio.in test-stdio.out test-stdio.err
+ test-stdio.pid1 test-stdio.pid2 $sock1 $sock2"
+rm -f $files
+cleanup_fn rm -f $files
+
+# Using a seekable file lets us prove that if the plugin consumes less
+# than the full input, the next process sees the rest
+cat &g...
2018 Mar 22
16
Call for testing: OpenSSH 7.7
Hi,
OpenSSH 7.7p1 is almost ready for release, so we would appreciate testing
on as many platforms and systems as possible. This is a bugfix release.
Snapshot releases for portable OpenSSH are available from
http://www.mindrot.org/openssh_snap/
The OpenBSD version is available in CVS HEAD:
http://www.openbsd.org/anoncvs.html
Portable OpenSSH is also available via git using the
instructions at
2020 Nov 05
1
[PATCH libnbd] copy: Allowing copying from NBD server to NBD server.
This patch is a straightforward refactoring of libnbd?s nbdcopy
program, and not very interesting.
However I have plans for nbdcopy (see full todo below). I would like
to use this utility for virt-v2v as a replacement for ?qemu-img convert?.
qemu-img has caused us a series of problems:
- change in zeroing behaviour caused a big performance regression
- qemu-img reads extents up-front which
2020 Apr 14
6
[nbdkit PATCH v2 0/3] more consistent stdin/out handling
In v2:
- use int instead of bool in the public header
- split the tests from the code
- don't overload test-layers; instead, add new tests
- add a missing fflush exposed by the new tests
- other minor cleanups
Eric Blake (3):
server: Add nbdkit_stdio_safe
server: Sanitize stdin/out before running plugin code
server: More tests of stdin/out handling
docs/nbdkit-plugin.pod |
2019 Jun 12
8
[nbdkit PATCH v3 0/5] Play with libnbd for nbdkit-nbd
libnbd-0.1.4-1 is now available in Fedora 29/30 updates testing.
Diffs since v2 - rebase to master, bump from libnbd 0.1.2 to 0.1.3+,
add tests to TLS usage which flushed out the need to turn relative
pathnames into absolute, doc tweaks
Now that the testsuite covers TLS and libnbd has been fixed to provide
the things I found lacking when developing v2, I'm leaning towards
pushing this on
2020 Sep 21
18
[nbdkit PATCH v3 00/14] exportname filter
It's been several weeks since I posted v2 (I got distracted by
improving libnbd to better test things, which in turn surfaced some
major memory leak problems in nbdsh that are now fixed). Many of the
patches are minor rebases from v2, with the biggest changes being
fallout from:
- patch 2: rename nbdkit_add_default_export to nbdkit_use_default_export
- overall: this missed 1.22, so update